<?php

function spark_news_widgets_init() {
    register_sidebar( array(
        'name'          => esc_html__( 'Sidebar', 'spark-news' ),
        'id'            => 'spark_news_blog_main_sidebar',
        'description'   => esc_html__( 'Add widgets here to appear in your single post sidebar area.', 'spark-news' ),
        'before_widget' => '<div id="%1$s" class="%2$s sidebar-widgetarea widgetarea">',
        'after_widget'  => '</div><!-- /.sidebar-widgetarea -->',
        'before_title'  => '<h3 class="widget-title ct-title">',
        'after_title'   => '</h3>',
    ) );

    register_sidebar( array(
        'name'          => esc_html__( 'Homepage Ad Section One', 'spark-news' ),
        'id'            => 'ct_banner_ad',
        'description'   => esc_html__( 'Add widgets here to appear on the homepage banner ad section.', 'spark-news' ),
        'before_widget' => '<div id="%1$s" class="%2$s text-center ct-banner-ad widgetarea">',
        'after_widget'  => '</div><!-- /.widgetarea -->',
        'before_title'  => '<h2 class="widget-title ct-title">',
        'after_title'   => '</h2>',
    ) );

    register_sidebar( array(
        'name'          => esc_html__( 'Homepage Ad Section Two', 'spark-news' ),
        'id'            => 'ct_banner_ad_two',
        'description'   => esc_html__( 'Add widgets here to appear on the homepage banner ad section.', 'spark-news' ),
        'before_widget' => '<div id="%1$s" class="%2$s text-center ct-banner-ad widgetarea">',
        'after_widget'  => '</div><!-- /.widgetarea -->',
        'before_title'  => '<h2 class="widget-title ct-title">',
        'after_title'   => '</h2>',
    ) );

    register_sidebar( array(
        'name'          => esc_html__( 'Single Post Ad Section Top', 'spark-news' ),
        'id'            => 'ct_single_ad_one',
        'before_widget' => '<div id="%1$s" class="%2$s text-center ct-banner-ad widgetarea">',
        'after_widget'  => '</div><!-- /.widgetarea -->',
        'before_title'  => '<h2 class="widget-title ct-title">',
        'after_title'   => '</h2>',
    ) );

    register_sidebar( array(
        'name'          => esc_html__( 'Single Post Ad Section Bottom', 'spark-news' ),
        'id'            => 'ct_single_ad_two',
        'before_widget' => '<div id="%1$s" class="%2$s text-center ct-banner-ad widgetarea">',
        'after_widget'  => '</div><!-- /.widgetarea -->',
        'before_title'  => '<h2 class="widget-title ct-title">',
        'after_title'   => '</h2>',
    ) );

    register_sidebar( array(
        'name'          => esc_html__( 'Footer Left', 'spark-news' ),
        'id'            => 'spark_blog-footer-left',
        'description'   => esc_html__( 'Add widgets here to appear on your left footer section.', 'spark-news' ),
        'before_widget' => '<div id="%1$s" class="%2$s widgetarea">',
        'after_widget'  => '</div><!-- /.widgetarea -->',
        'before_title'  => '<h2 class="ct-header ct-title">',
        'after_title'   => '</h2>',
    ) );

    register_sidebar( array(
        'name'          => esc_html__( 'Footer Middle', 'spark-news' ),
        'id'            => 'spark_blog-footer-middle',
        'description'   => esc_html__( 'Add widgets here to appear on your middle footer section.', 'spark-news' ),
        'before_widget' => '<div id="%1$s" class="%2$s widgetarea">',
        'after_widget'  => '</div><!-- /.widgetarea -->',
        'before_title'  => '<h2 class="ct-header ct-title">',
        'after_title'   => '</h2>',
    ) );

    register_sidebar( array(
        'name'          => esc_html__( 'Footer Right', 'spark-news' ),
        'id'            => 'spark_blog-footer-right',
        'description'   => esc_html__( 'Add widgets here to appear on your right footer section.', 'spark-news' ),
        'before_widget' => '<div id="%1$s" class="%2$s widgetarea">',
        'after_widget'  => '</div><!-- /.widgetarea -->',
        'before_title'  => '<h2 class="ct-header ct-title">',
        'after_title'   => '</h2>',
    ) );
}


add_action( 'widgets_init', 'spark_news_widgets_init' );
