<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 */
get_header();
?>
<div class="main-container">
    <?php get_template_part( 'template-parts/home/section', 'ticker' ); ?>
    <?php get_template_part( 'template-parts/home/section', 'top' ); ?>
    <?php get_template_part( 'template-parts/home/section', 'banner-ad-one' ); ?>
    <?php get_template_part( 'template-parts/home/section', 'block-slider' ); ?>
    <?php get_template_part( 'template-parts/home/section', 'masonry' ); ?>
    <?php get_template_part( 'template-parts/home/section', 'banner-ad-two' ); ?>
</div><!-- /.main-container -->

<?php
get_footer()
?>
